
本文介绍如何使用 Demo 消费同步数据

#### 1. Demo 用法说明
- 本 Demo 的编写是为了方便您快速测试消费数据的流程，了解数据格式解析的方法。需注意 Demo 并非完善的数据处理客户端程序，
其并不包含消费数据的用法演示，仅对数据做了打印处理，您需要在此基础上自行编写数据处理逻辑（例如将消费到的数据写入其他组件）。
- 您也可以使用其他 Kafka 客户端 API 消费并解析数据。写入到 Kafka 中的数据兼容开源工具 canal 的格式，采用了 Protobuf 或者 JSON 的序列化协议，这个协议是在配置同步任务页面中的数据格式选项决定的。
协议定义文件以及自动生成代码位于 proto 目录下。   
- 如果配置任务时候选择了 canal-json 的格式，消费启动参数务必加上 --flatMessage=1，否则数据无法正确解析！
- 请注意：为了方便传输和打印，源数据库中二进制相关类型的字段（包括binary、varbinary、blob、tinyblob、mediumblob、longblob、geometry）
会转换为 HexString 表示，timestamp 类型的字段会转换为0时区对应时间的字符串，消费端在处理这些字段时可能需做必要的格式转换。

#### 2. 编译运行说明
##### 安装：
安装 python3, 然后安装以下模块： 
```
pip3 install flag
pip3 install kafka-python
pip3 install protobuf
```
##### 启动消费：
下载Demo，解压并进入解压目录
- 对于canal-pb格式：
```
python main.py --brokers=xxx --topic=xxx --group=xxx 
```
- 对于canal-json格式：
``` 
python main.py --brokers=xxx --topic=xxx --group=xxx --flatMessage=1 
```

##### 启动参数说明：

| 参数      | 说明                    |
| ----------|-----------------------|
| brokers   | CKafka 的访问地址（ip+port） |
| topic     | 配置同步任务所选topic         |
| group     | CKafka 消费组名称          |
| user      | CKafka 账号名，非必需        |
| password  | CKafka 密码，非必需         |
| flatMessage | 是否为JSON格式的扁平消息，默认0    |

